Bug 799896 - Review Request: python-django-tracking - Django site visitor tracking, including basic blacklisting
Review Request: python-django-tracking - Django site visitor tracking, includ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Cédric OLIVIER
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 736776
  Show dependency treegraph
 
Reported: 2012-03-05 06:17 EST by Matthias Runge
Modified: 2012-03-19 16:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-19 16:43:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cedric.olivier: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Runge 2012-03-05 06:17:45 EST
Spec URL: http://www.matthias-runge.de/fedora/python-django-tracking.spec
SRPM URL: http://www.matthias-runge.de/fedora/python-django-tracking-0.3.7-4.fc16.src.rpm
Description: 
django-tracking is a simple attempt at keeping track of visitors to 
Django-powered Web sites.  It also offers basic blacklisting capabilities.


rpmlint ./python-django-tracking.spec ../SRPMS/python-django-tracking-0.3.7-4.fc16.src.rpm ../RPMS/noarch/python-django-tracking-0.3.7-4.fc16.noarch.rpm
./python-django-tracking.spec: W: invalid-url Source0: django-tracking-0.3.7.tar.bz2
python-django-tracking.src: W: invalid-url Source0: django-tracking-0.3.7.tar.bz2
2 packages and 1 specfiles checked; 0 errors, 2 warnings.



koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3852443
Comment 1 Matthias Runge 2012-03-09 17:10:13 EST
Updated to match correct file source file name, some spec cleanup.

Sadly, there's just a null test (just returning pass)

SPEC: http://www.matthias-runge.de/fedora/python-django-tracking.spec
SRPM: http://www.matthias-runge.de/fedora/python-django-tracking-0.3.7-6.fc17.src.rpm
Comment 2 Cédric OLIVIER 2012-03-13 15:10:05 EDT
As Django, could you use your own %find_lang rather than define locale in %files section :

# Handling locale files
# This is adapted from the %%find_lang macro, which cannot be directly
# used since Django locale files are not located in %%{_datadir}
#
# The rest of the packaging guideline still apply -- do not list
# locale files by hand!
(cd $RPM_BUILD_ROOT && find . -name 'django*.mo') | %{__sed} -e 's|^.||' | %{__sed} -e \
   's:\(.*/locale/\)\([^/_]\+\)\(.*\.mo$\):%lang(\2) \1\2\3:' \
   >> %{name}.lang

You can find more about this "problem" here : https://bugzilla.redhat.com/show_bug.cgi?id=584866
Comment 4 Cédric OLIVIER 2012-03-16 14:02:10 EDT
Thanks for this update, you can find now my review :

[+] mock build OK
[+] source files match upstream
d9d3198e464d0cb89aa94d18696c4d0e
[+] package name according to the Package Naming Guidelines
[+] specfile is properly named, is cleanly written and uses macros
consistently.
[+] dist tag is present.
[+] license field matches the actual license.
[+] license is open source-compatible.
    MIT
[+] license text included in package.
[+] latest version is being packaged.
[+] BuildRequires are proper.
[+] compiler flags are appropriate.
[+] handle locales properly
[+] package installs properly
[NA] debuginfo package looks complete.
[+] rpmlint is silent.
[+] no shared libraries are added to the regular linker search paths.
[+] owns the directories it creates.
[+] doesn't own any directories it shouldn't.
[+] no duplicates in %files.
[+] file permissions are appropriate.
[+] scriptlets are present and sane.
[+] documentation is small, so no -docs subpackage is necessary.
[NA] GUI applications must include a %{name}.desktop
[NA] contain man pages for binaries/scripts

Approved
Comment 5 Matthias Runge 2012-03-19 02:55:01 EDT
Thank you for your review.

New Package SCM Request
=======================
Package Name: python-django-tracking
Short Description: Django site visitor tracking, including basic blacklisting
Owners: mrunge
Branches: devel
Comment 6 Matthias Runge 2012-03-19 02:55:40 EDT
Ah, Cedric, you need to assign yourself to the package.
Comment 7 Jon Ciesla 2012-03-19 08:16:25 EDT
Git done (by process-git-requests).

Cedric, please take ownership of review BZs, thanks!
Comment 8 Matthias Runge 2012-03-19 16:43:18 EDT
imported, built and blocking request for django-tracking (in devel-branch) filed.

Note You need to log in before you can comment on or make changes to this bug.